﻿@model BeerOverflow.Services.ModelsDTo.WebModels.UserDetailsModel

@{
    ViewData["Title"] = "UserAccount";
}

    <h1>Welcome, @User.Identity.Name!</h1>

<div>
    <h4>Account Information</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.CreatedOn)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.CreatedOn)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.CountryName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.CountryName)
        </dd>
    </dl>
</div>
<div>
    <a asp-controller="User" asp-action="ShowWishlist" asp-route-name="@User.Identity.Name"><h4>❤Wishlist</h4></a>
</div>
<div>
    <a asp-controller="User" asp-action="ShowDranklist" asp-route-name="@User.Identity.Name"><h4>&#x1F37B;Dranklist</h4></a>
</div>
<div>
    <a asp-controller="User" asp-action="ShowReviews" asp-route-name="@User.Identity.Name"><h4>&#x1F516;Reviews</h4></a>
</div>
<div>
    <a class="nav-link text-light" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage"><h4>Settings</h4></a>
</div>
